package common.item.block;

import common.block.artificial.BlockWall;
import common.model.Model;
import common.model.ModelProvider;

public class ItemWall extends ItemBlock {
	private final BlockWall wallBlock;
	
	public ItemWall(BlockWall block) {
		super(block);
		this.wallBlock = block;
	}

	public Model getModel(ModelProvider provider, String name) {
    	return provider.getModel(
    		provider.getModel(this.wallBlock.getTexture())
			.add(4, 0, 4, 12, 16, 12)
				.d().uv(4, 4, 12, 12)
				.u().uv(4, 4, 12, 12).noCull()
				.n().uv(4, 0, 12, 16).noCull()
				.s().uv(4, 0, 12, 16).noCull()
				.w().uv(4, 0, 12, 16).noCull()
				.e().uv(4, 0, 12, 16).noCull()
			.add(5, 0, 0, 11, 13, 16)
				.d().uv(5, 0, 11, 16)
				.u().uv(5, 0, 11, 16).noCull()
				.n().uv(5, 3, 11, 16)
				.s().uv(5, 3, 11, 16)
				.w().uv(0, 3, 16, 16).noCull()
				.e().uv(0, 3, 16, 16).noCull(), this.getTransform());
    }
}
